# Uses of Class
org.eclipse.swt.graphics.Point

Packages that use Point
Package
Description
org.eclipse.compare.internal
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.e4.ui.widgets
org.eclipse.e4.ui.workbench.addons.perspectiveswitcher
org.eclipse.e4.ui.workbench.renderers.swt
org.eclipse.equinox.p2.ui
Provides provisioning user interface classes that can be used for assembling a provisioning UI.
org.eclipse.help.ui.internal
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.contentassist
Provides a content assist add-on for implementors of `IContentAssistSubjectControl`.
org.eclipse.jface.databinding.swt.typed
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.fieldassist
Provides classes that help communicate proper content for fields in dialogs and wizards.
org.eclipse.jface.layout
Provides support for layout generation.
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.resource
Provides support for managing resources such as SWT fonts and images.
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.codemining
org.eclipse.jface.text.contentassist
Provides a content assist add-on for an `ITextViewer`.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.jface.text.source.projection
This package provides the UI part for projection documents of which the most important part is the projection viewer.
org.eclipse.jface.text.templates
Application programming interfaces for interaction with the Eclipse text template support.
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.jface.window
Provides a general framework for creating and managing windows.
org.eclipse.jface.wizard
Provides a framework for wizards.
org.eclipse.swt.browser
SWT Browser widget.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.graphics
SWT graphics classes.
org.eclipse.swt.internal
SWT internal classes
org.eclipse.swt.layout
SWT layout classes.
org.eclipse.swt.printing
SWT Printing support classes.
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.application
Application-level APIs for configuring and controling the Eclipse Platform User Interface.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.
org.eclipse.ui.internal
org.eclipse.ui.menus
Provides the public API and default implementation for contributing menu and toolbars to the menu service.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of Point in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal that return Point
Modifier and Type
Method
Description
`protected Point`
TabFolderLayout.`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
`protected Point`
CompareDialog.`getDefaultSize()`
If we don't have settings we need to come up with a reasonable default since we can't depend on the compare editor input layout returning a good default size.
`protected Point`
ResizableDialog.`getInitialLocation(Point initialSize)`
`protected Point`
CompareDialog.`getInitialSize()`
`protected Point`
ResizableDialog.`getInitialSize()`
`Point`
MergeSourceViewer.`getLineRange(Position p, Point region)`
`protected Point`
DiffImageDescriptor.`getSize()`
Methods in org.eclipse.compare.internal with parameters of type Point
Modifier and Type
Method
Description
`protected Point`
ResizableDialog.`getInitialLocation(Point initialSize)`
`Point`
MergeSourceViewer.`getLineRange(Position p, Point region)`

## Uses of Point in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return Point
Modifier and Type
Method
Description
`protected Point`
DebugPopup.`getInitialLocation(Point initialSize)`
Returns the initial location to use for the shell based upon the current selection in the viewer.
`protected Point`
InspectPopupDialog.`getInitialSize()`
Methods in org.eclipse.debug.ui with parameters of type Point
Modifier and Type
Method
Description
`protected Point`
DebugPopup.`getInitialLocation(Point initialSize)`
Returns the initial location to use for the shell based upon the current selection in the viewer.
Constructors in org.eclipse.debug.ui with parameters of type Point
Modifier
Constructor
Description
``
`DebugPopup(Shell parent, Point anchor, String commandId)`
Constructs a new popup dialog of type `PopupDialog.INFOPOPUPRESIZE_SHELLSTYLE`
``
`InspectPopupDialog(Shell shell, Point anchor, String commandId, IExpression expression)`
Creates a new inspect popup.

## Uses of Point in org.eclipse.e4.ui.widgets

Methods in org.eclipse.e4.ui.widgets that return Point
Modifier and Type
Method
Description
`Point`
ImageBasedFrame.`computeSize(int wHint, int hHint)`

## Uses of Point in org.eclipse.e4.ui.workbench.addons.perspectiveswitcher

Fields in org.eclipse.e4.ui.workbench.addons.perspectiveswitcher declared as Point
Modifier and Type
Field
Description
`protected Point`
PerspectiveSwitcher.`downPos`

## Uses of Point in org.eclipse.e4.ui.workbench.renderers.swt

Methods in org.eclipse.e4.ui.workbench.renderers.swt that return Point
Modifier and Type
Method
Description
`protected Point`
CTabRendering.`computeSize(int part, int state, GC gc, int wHint, int hHint)`
`protected Point`
SashLayout.`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
`protected Point`
TrimBarLayout.`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
`protected Point`
TrimmedPartLayout.`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
Methods in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type Point
Modifier and Type
Method
Description
`Control`
TrimBarLayout.`ctrlFromPoint(Composite trimComp, Point trimPos)`
Get a Control at a certain position from the TrimBar.

## Uses of Point in org.eclipse.equinox.p2.ui

Methods in org.eclipse.equinox.p2.ui that return Point
Modifier and Type
Method
Description
`Point`
Policy.`getUpdateDetailsPreferredSize()`
Get a point describing the preferred size of the details area shown in single IU update wizards.
Methods in org.eclipse.equinox.p2.ui with parameters of type Point
Modifier and Type
Method
Description
`void`
Policy.`setUpdateDetailsPreferredSize(Point preferredSize)`
Set the preferred size of the details area shown in update wizards which notify the user of a single update.

## Uses of Point in org.eclipse.help.ui.internal

Methods in org.eclipse.help.ui.internal that return Point
Modifier and Type
Method
Description
`Point`
HyperlinkLabel.`computeSize(int wHint, int hHint, boolean changed)`

## Uses of Point in org.eclipse.jface.action

Methods in org.eclipse.jface.action that return Point
Modifier and Type
Method
Description
`Point`
StatusLineContributionItem.`getDisplayLocation()`
An accessor for the current location of this status line contribution item -- relative to the display.

## Uses of Point in org.eclipse.jface.contentassist

Methods in org.eclipse.jface.contentassist that return Point
Modifier and Type
Method
Description
`Point`
ComboContentAssistSubjectAdapter.`getLocationAtOffset(int offset)`
Deprecated.
`Point`
IContentAssistSubjectControl.`getLocationAtOffset(int offset)`
Returns the x, y location of the upper left corner of the character bounding box at the specified offset in the text.
`Point`
TextContentAssistSubjectAdapter.`getLocationAtOffset(int offset)`
Deprecated.
`Point`
ComboContentAssistSubjectAdapter.`getSelectedRange()`
Deprecated.
`Point`
IContentAssistSubjectControl.`getSelectedRange()`
Returns the selected range.
`Point`
TextContentAssistSubjectAdapter.`getSelectedRange()`
Deprecated.
`Point`
ComboContentAssistSubjectAdapter.`getWidgetSelectionRange()`
Deprecated.
`Point`
IContentAssistSubjectControl.`getWidgetSelectionRange()`
Returns the selected range in the subject's widget.
`Point`
TextContentAssistSubjectAdapter.`getWidgetSelectionRange()`
Deprecated.

## Uses of Point in org.eclipse.jface.databinding.swt.typed

Methods in org.eclipse.jface.databinding.swt.typed that return types with arguments of type Point
Modifier and Type
Method
Description
`static <S extends Control>
IWidgetValueProperty<S,Point>`
WidgetProperties.`location()`
Returns a value property for observing the location of a `Control`.
`static <S extends Control>
IWidgetValueProperty<S,Point>`
WidgetProperties.`size()`
Returns a value property for observing the size of a `Control`.

## Uses of Point in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs that return Point
Modifier and Type
Method
Description
`protected Point`
PopupDialog.`getDefaultLocation(Point initialSize)`
Returns the default location to use for the shell.
`protected Point`
PopupDialog.`getDefaultSize()`
Return the default size to use for the shell.
`protected Point`
Dialog.`getInitialLocation(Point initialSize)`
Returns the initial location to use for the shell.
`protected Point`
PopupDialog.`getInitialLocation(Point initialSize)`
`protected Point`
Dialog.`getInitialSize()`
Returns the initial size to use for the shell.
`protected Point`
PopupDialog.`getInitialSize()`
`protected Point`
ProgressMonitorDialog.`getInitialSize()`
`protected Point`
TitleAreaDialog.`getInitialSize()`
The `TitleAreaDialog` implementation of this `Window` methods returns an initial size which is at least some reasonable minimum.
Methods in org.eclipse.jface.dialogs with parameters of type Point
Modifier and Type
Method
Description
`protected Point`
PopupDialog.`getDefaultLocation(Point initialSize)`
Returns the default location to use for the shell.
`protected Point`
Dialog.`getInitialLocation(Point initialSize)`
Returns the initial location to use for the shell.
`protected Point`
PopupDialog.`getInitialLocation(Point initialSize)`

## Uses of Point in org.eclipse.jface.fieldassist

Methods in org.eclipse.jface.fieldassist that return Point
Modifier and Type
Method
Description
`Point`
ContentProposalAdapter.`getPopupSize()`
Return the size, in pixels, of the content proposal popup.
`Point`
ComboContentAdapter.`getSelection(Control control)`
`Point`
IControlContentAdapter2.`getSelection(Control control)`
Get the current selection range in the control.
`Point`
TextContentAdapter.`getSelection(Control control)`
Methods in org.eclipse.jface.fieldassist with parameters of type Point
Modifier and Type
Method
Description
`void`
ContentProposalAdapter.`setPopupSize(Point size)`
Set the size, in pixels, of the content proposal popup.
`void`
ComboContentAdapter.`setSelection(Control control, Point range)`
`void`
IControlContentAdapter2.`setSelection(Control control, Point range)`
Set the current selection range in the control.
`void`
TextContentAdapter.`setSelection(Control control, Point range)`

## Uses of Point in org.eclipse.jface.layout

Methods in org.eclipse.jface.layout that return Point
Modifier and Type
Method
Description
`protected Point`
AbstractColumnLayout.`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
`static final Point`
LayoutConstants.`getMargins()`
Returns the default dialog margins, in pixels
`static final Point`
LayoutConstants.`getMinButtonSize()`
Returns the default minimum button size, in pixels
`static final Point`
LayoutConstants.`getSpacing()`
Returns the default dialog spacing, in pixels
Methods in org.eclipse.jface.layout with parameters of type Point
Modifier and Type
Method
Description
`static void`
GridDataFactory.`generate(Control theControl, Point span)`
Generates layout data to the given control, given the number of cells spanned by the control.
`GridDataFactory`
GridDataFactory.`hint(Point hint)`
Sets the width and height hints.
`RowDataFactory`
RowDataFactory.`hint(Point hint)`
Sets the width and height hints.
`GridDataFactory`
GridDataFactory.`indent(Point indent)`
Sets the indent of the control within the cell.
`FillLayoutFactory`
FillLayoutFactory.`margins(Point margins)`
Sets the margins for layouts created with this factory.
`GridLayoutFactory`
GridLayoutFactory.`margins(Point margins)`
Sets the margins for layouts created with this factory.
`RowLayoutFactory`
RowLayoutFactory.`margins(Point margins)`
Sets the margins for layouts created with this factory.
`GridDataFactory`
GridDataFactory.`minSize(Point min)`
Sets the minimum size for the control.
`GridLayoutFactory`
GridLayoutFactory.`spacing(Point spacing)`
Sets the spacing for layouts created with this factory.
`GridDataFactory`
GridDataFactory.`span(Point span)`
Sets the GridData span.

## Uses of Point in org.eclipse.jface.preference

Fields in org.eclipse.jface.preference declared as Point
Modifier and Type
Field
Description
`static final Point`
PreferenceConverter.`POINT_DEFAULT_DEFAULT`
The default-default value for point preferences (the origin, `(0,0)`).
Methods in org.eclipse.jface.preference that return Point
Modifier and Type
Method
Description
`protected Point`
ColorFieldEditor.`computeImageSize(Control window)`
Computes the size of the color image displayed on the button.
`Point`
IPreferencePage.`computeSize()`
Computes a size for this page's UI component.
`Point`
PreferencePage.`computeSize()`
Computes the size for this page's UI control.
`protected Point`
PreferencePage.`doComputeSize()`
Computes the size needed by this page's UI control.
`static Point`
PreferenceConverter.`getDefaultPoint(IPreferenceStore store, String name)`
Returns the default value for the point-valued preference with the given name in the given preference store.
`static Point`
PreferenceConverter.`getPoint(IPreferenceStore store, String name)`
Returns the current value of the point-valued preference with the given name in the given preference store.
Methods in org.eclipse.jface.preference with parameters of type Point
Modifier and Type
Method
Description
`static void`
PreferenceConverter.`setDefault(IPreferenceStore store, String name, Point value)`
Sets the default value of the preference with the given name in the given preference store.
`void`
PreferenceDialog.`setMinimumPageSize(Point size)`
Sets the minimum page size.
`void`
IPreferencePage.`setSize(Point size)`
Sets the size of this page's UI component.
`void`
PreferencePage.`setSize(Point uiSize)`
`static void`
PreferenceConverter.`setValue(IPreferenceStore store, String name, Point value)`
Sets the current value of the preference with the given name in the given preference store.

## Uses of Point in org.eclipse.jface.resource

Methods in org.eclipse.jface.resource that return Point
Modifier and Type
Method
Description
`static Point`
StringConverter.`asPoint(String value)`
Converts the given value into an SWT point.
`static Point`
StringConverter.`asPoint(String value, Point dflt)`
Converts the given value into an SWT point.
`protected abstract Point`
CompositeImageDescriptor.`getSize()`
Return the size of this composite image.
Methods in org.eclipse.jface.resource with parameters of type Point
Modifier and Type
Method
Description
`static Point`
StringConverter.`asPoint(String value, Point dflt)`
Converts the given value into an SWT point.
`static String`
StringConverter.`asString(Point value)`
Converts the given SWT point object to a string.

## Uses of Point in org.eclipse.jface.text

Methods in org.eclipse.jface.text that return Point
Modifier and Type
Method
Description
`protected Point`
AbstractInformationControlManager.`computeInformationControlLocation(Rectangle subjectArea, Point controlSize)`
Computes the location of the information control depending on the subject area and the size of the information control.
`protected Point`
AbstractInformationControlManager.`computeLocation(Rectangle subjectArea, Point controlSize, AbstractInformationControlManager.Anchor anchor)`
Computes the display location of the information control.
`Point`
AbstractInformationControl.`computeSizeConstraints(int widthInChars, int heightInChars)`
Computes the size constraints based on the `dialog font`.
`protected Point`
AbstractInformationControlManager.`computeSizeConstraints(Control subjectControl, IInformationControl informationControl)`
Computes the size constraints of the information control in points based on the default font of the given subject control as well as the size constraints in character width.
`protected Point`
AbstractInformationControlManager.`computeSizeConstraints(Control subjectControl, Rectangle subjectArea, IInformationControl informationControl)`
Computes the size constraints of the information control in points.
`Point`
IInformationControlExtension5.`computeSizeConstraints(int widthInChars, int heightInChars)`
Computes the width- and height constraints of the information control in pixels, based on the given width and height in characters.
`Point`
AbstractInformationControl.`computeSizeHint()`
`Point`
DefaultInformationControl.`computeSizeHint()`
`Point`
IInformationControl.`computeSizeHint()`
Computes and returns a proposal for the size of this information control depending on the information to present.
`protected Point`
AbstractHoverInformationControlManager.`getHoverEventLocation()`
Returns the location at which the most recent mouse hover event has been issued.
`Point`
ITextViewerExtension2.`getHoverEventLocation()`
Returns the location at which the most recent mouse hover event has occurred.
`Point`
TextViewer.`getHoverEventLocation()`
`Point`
IFindReplaceTargetExtension.`getLineSelection()`
Returns the currently selected range of lines as a offset and length.
`Point`
ITextViewer.`getSelectedRange()`
Returns the range of the current selection in coordinates of this viewer's document.
`Point`
TextViewer.`getSelectedRange()`
`Point`
IFindReplaceTarget.`getSelection()`
Returns the currently selected range of characters as an offset and length in widget coordinates.
`protected final Point`
AbstractInformationControl.`getSizeConstraints()`
Returns the size constraints.
`protected Point`
TextViewer.`modelSelection2WidgetSelection(Point modelSelection)`
Translates the given selection range of the viewer's document into the corresponding widget range or returns `null` of this fails.
`protected Point`
TextViewer.`widgetSelection2ModelSelection(Point widgetSelection)`
Translates the given widget selection into the corresponding region of the viewer's document or returns `null` if this fails.
Methods in org.eclipse.jface.text with parameters of type Point
Modifier and Type
Method
Description
`protected Point`
AbstractInformationControlManager.`computeInformationControlLocation(Rectangle subjectArea, Point controlSize)`
Computes the location of the information control depending on the subject area and the size of the information control.
`protected Point`
AbstractInformationControlManager.`computeLocation(Rectangle subjectArea, Point controlSize, AbstractInformationControlManager.Anchor anchor)`
Computes the display location of the information control.
`protected Point`
TextViewer.`modelSelection2WidgetSelection(Point modelSelection)`
Translates the given selection range of the viewer's document into the corresponding widget range or returns `null` of this fails.
`void`
AbstractInformationControl.`setLocation(Point location)`
`void`
IInformationControl.`setLocation(Point location)`
Sets the location of this information control.
`protected boolean`
AbstractInformationControlManager.`updateLocation(Point location, Point size, Rectangle displayArea, AbstractInformationControlManager.Anchor anchor)`
Checks whether a control of the given size at the given location would be completely visible in the given display area when laid out by using the given anchor.
`protected Point`
TextViewer.`widgetSelection2ModelSelection(Point widgetSelection)`
Translates the given widget selection into the corresponding region of the viewer's document or returns `null` if this fails.

## Uses of Point in org.eclipse.jface.text.codemining

Methods in org.eclipse.jface.text.codemining that return Point
Modifier and Type
Method
Description
`Point`
AbstractCodeMining.`draw(GC gc, StyledText textWidget, Color color, int x, int y)`
Draw the `AbstractCodeMining.getLabel()` of mining with gray color.
`Point`
ICodeMining.`draw(GC gc, StyledText textWidget, Color color, int x, int y)`
Draw the code mining.

## Uses of Point in org.eclipse.jface.text.contentassist

Methods in org.eclipse.jface.text.contentassist that return Point
Modifier and Type
Method
Description
`Point`
CompletionProposal.`getSelection(IDocument document)`
`Point`
ICompletionProposal.`getSelection(IDocument document)`
Returns the new selection after the proposal has been applied to the given document in absolute document coordinates.
`protected Point`
ContentAssistant.`restoreCompletionProposalPopupSize()`
Restores the content assist's proposal pop-up size.
`protected Point`
ContentAssistant.`restoreContextSelectorPopupSize()`
Restores the content assist's context selector pop-up size.

## Uses of Point in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source that return Point
Modifier and Type
Method
Description
`protected Point`
AnnotationBarHoverManager.`computeInformationControlLocation(Rectangle subjectArea, Point controlSize)`
`protected Point`
LineChangeHover.`computeLineRange(ISourceViewer viewer, int line, int min, int max)`
Computes the block of lines which form a contiguous block of changes covering `line`.
`protected Point`
AnnotationBarHoverManager.`computeLocation(Rectangle subjectArea, Point controlSize, AbstractInformationControlManager.Anchor anchor)`
`protected Point`
SourceViewer.RulerLayout.`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
`protected Point`
AnnotationBarHoverManager.`computeSizeConstraints(Control subjectControl, Rectangle subjectArea, IInformationControl informationControl)`
`protected Point`
SourceViewer.`rememberSelection()`
Remembers and returns the current selection.
Methods in org.eclipse.jface.text.source with parameters of type Point
Modifier and Type
Method
Description
`protected Point`
AnnotationBarHoverManager.`computeInformationControlLocation(Rectangle subjectArea, Point controlSize)`
`protected Point`
AnnotationBarHoverManager.`computeLocation(Rectangle subjectArea, Point controlSize, AbstractInformationControlManager.Anchor anchor)`

## Uses of Point in org.eclipse.jface.text.source.projection

Methods in org.eclipse.jface.text.source.projection that return Point
Modifier and Type
Method
Description
`protected Point`
ProjectionViewer.`widgetSelection2ModelSelection(Point widgetSelection)`
Adapts the behavior of the super class to respect line based folding.
Methods in org.eclipse.jface.text.source.projection with parameters of type Point
Modifier and Type
Method
Description
`protected Point`
ProjectionViewer.`widgetSelection2ModelSelection(Point widgetSelection)`
Adapts the behavior of the super class to respect line based folding.

## Uses of Point in org.eclipse.jface.text.templates

Methods in org.eclipse.jface.text.templates that return Point
Modifier and Type
Method
Description
`Point`
TemplateProposal.`getSelection(IDocument document)`

## Uses of Point in org.eclipse.jface.util

Methods in org.eclipse.jface.util that return Point
Modifier and Type
Method
Description
`static Point`
Geometry.`add(Point point1, Point point2)`
Adds two points as 2d vectors.
`static Point`
Geometry.`centerPoint(Rectangle rect)`
Returns the point in the center of the given rectangle.
`static Point`
Geometry.`copy(Point toCopy)`
Returns a copy of the given point
`static Point`
Geometry.`divide(Point toDivide, int scalar)`
Divides both coordinates of the given point by the given scalar.
`static Point`
Geometry.`getDirectionVector(int distance, int direction)`
Returns a vector in the given direction with the given magnitude.
`static Point`
Geometry.`getLocation(Rectangle toQuery)`
Returns the x,y position of the given rectangle.
`static Point`
Geometry.`getSize(Rectangle rectangle)`
Returns the size of the rectangle, as a Point
`static Point`
Geometry.`max(Point p1, Point p2)`
Returns a new point whose coordinates are the maximum of the coordinates of the given points
`static Point`
Geometry.`min(Point p1, Point p2)`
Returns a new point whose coordinates are the minimum of the coordinates of the given points
`static Point`
Geometry.`subtract(Point point1, Point point2)`
Performs vector subtraction on two points.
Methods in org.eclipse.jface.util with parameters of type Point
Modifier and Type
Method
Description
`static Point`
Geometry.`add(Point point1, Point point2)`
Adds two points as 2d vectors.
`static Point`
Geometry.`copy(Point toCopy)`
Returns a copy of the given point
`static Rectangle`
Geometry.`createRectangle(Point position, Point size)`
Returns a new rectangle with the given position and dimensions, expressed as points.
`static int`
Geometry.`distanceSquared(Point p1, Point p2)`
Returns the square of the distance between two points.
`static Point`
Geometry.`divide(Point toDivide, int scalar)`
Divides both coordinates of the given point by the given scalar.
`static int`
Geometry.`dotProduct(Point p1, Point p2)`
Returns the dot product of the given vectors (expressed as Points)
`static void`
Geometry.`flipXY(Point toFlip)`
Swaps the X and Y coordinates of the given point.
`static Monitor`
Util.`getClosestMonitor(Display toSearch, Point toFind)`
Returns the monitor whose client area contains the given point.
`static int`
Geometry.`getClosestSide(Rectangle boundary, Point toTest)`
Returns the edge of the given rectangle is closest to the given point.
`static int`
Geometry.`getCoordinate(Point toMeasure, boolean width)`
Returns the x or y coordinates of the given point.
`static int`
Geometry.`getDistanceFrom(Rectangle boundary, Point toTest)`
Returns the distance from the point to the nearest edge of the given rectangle.
`static int`
Geometry.`getDistanceFromEdge(Rectangle rectangle, Point testPoint, int edgeOfInterest)`
Returns the distance of the given point from a particular side of the given rectangle.
`static int`
Geometry.`getRelativePosition(Rectangle boundary, Point toTest)`
Determines where the given point lies with respect to the given rectangle.
`static double`
Geometry.`magnitude(Point p)`
Returns the magnitude of the given 2d vector (represented as a Point)
`static int`
Geometry.`magnitudeSquared(Point p)`
Returns the square of the magnitude of the given 2-space vector (represented using a point)
`static Point`
Geometry.`max(Point p1, Point p2)`
Returns a new point whose coordinates are the maximum of the coordinates of the given points
`static Point`
Geometry.`min(Point p1, Point p2)`
Returns a new point whose coordinates are the minimum of the coordinates of the given points
`static void`
Geometry.`moveRectangle(Rectangle rect, Point delta)`
Moves the given rectangle by the given delta.
`static void`
Geometry.`set(Point result, Point toCopy)`
Sets result equal to toCopy
`static void`
Geometry.`setCoordinate(Point toSet, boolean width, int newCoordinate)`
Sets one coordinate of the given point.
`static void`
Geometry.`setLocation(Rectangle rectangle, Point newLocation)`
Sets the x,y position of the given rectangle.
`static void`
Geometry.`setSize(Rectangle rectangle, Point newSize)`
Sets the size of the given rectangle to the given size
`static Point`
Geometry.`subtract(Point point1, Point point2)`
Performs vector subtraction on two points.

## Uses of Point in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers that return Point
Modifier and Type
Method
Description
`Point`
TableLayout.`computeSize(Composite c, int wHint, int hHint, boolean flush)`
`protected Point`
DecorationOverlayIcon.`getSize()`
`Point`
ViewerLabel.`getTooltipShift()`
`Point`
CellLabelProvider.`getToolTipShift(Object object)`
Return the amount of pixels in x and y direction you want the tool tip to pop up from the mouse pointer.
Methods in org.eclipse.jface.viewers with parameters of type Point
Modifier and Type
Method
Description
`ViewerCell`
ColumnViewer.`getCell(Point point)`
Returns the viewer cell at the given widget-relative coordinates, or `null` if there is no cell at that location
`ViewerCell`
ViewerRow.`getCell(Point point)`
Get the ViewerCell at point.
`int`
ViewerRow.`getColumnIndex(Point point)`
Get the columnIndex of the point.
`protected Item`
AbstractTreeViewer.`getItemAt(Point point)`
This implementation of `AbstractTreeViewer.getItemAt(Point)` returns null to ensure API backwards compatibility.
`protected abstract Item`
ColumnViewer.`getItemAt(Point point)`
Returns the `Item` at the given widget-relative coordinates, or `null` if there is no item at the given coordinates.
`protected Item`
TableViewer.`getItemAt(Point p)`
`protected Item`
TreeViewer.`getItemAt(Point p)`
`protected ViewerRow`
ColumnViewer.`getViewerRow(Point point)`
Returns the viewer row at the given widget-relative coordinates.
`void`
ViewerLabel.`setTooltipShift(Point tooltipShift)`
Constructors in org.eclipse.jface.viewers with parameters of type Point
Modifier
Constructor
Description
``
`DecorationOverlayIcon(Image baseImage, ImageDescriptor[] overlaysArray, Point sizeValue)`
Create the decoration overlay for the base image using the array of provided overlays.

## Uses of Point in org.eclipse.jface.window

Methods in org.eclipse.jface.window that return Point
Modifier and Type
Method
Description
`protected Point`
Window.`getInitialLocation(Point initialSize)`
Returns the initial location to use for the shell.
`protected Point`
Window.`getInitialSize()`
Returns the initial size to use for the shell.
`Point`
ToolTip.`getLocation(Point tipSize, Event event)`
Get the display relative location where the tooltip is displayed.
Methods in org.eclipse.jface.window with parameters of type Point
Modifier and Type
Method
Description
`protected Point`
Window.`getInitialLocation(Point initialSize)`
Returns the initial location to use for the shell.
`Point`
ToolTip.`getLocation(Point tipSize, Event event)`
Get the display relative location where the tooltip is displayed.
`void`
ToolTip.`setShift(Point p)`
Set the shift (from the mouse position triggered the event) used to display the tooltip.
`void`
ToolTip.`show(Point location)`
Start up the tooltip programmatically

## Uses of Point in org.eclipse.jface.wizard

Methods in org.eclipse.jface.wizard that return Point
Modifier and Type
Method
Description
`Point`
WizardDialog.PageContainerFillLayout.`computeSize(Composite composite, int wHint, int hHint, boolean force)`
`Point`
IWizardNode.`getExtent()`
Returns the extent of the wizard for this node.
`default Point`
IWizardPage.`getMinimumPageSize()`
Returns the minimum page size used of this page.
`default Point`
IWizard.`getMinimumWizardSize()`
Returns the minimum size of this wizard.
`Point`
Wizard.`getMinimumWizardSize()`
Methods in org.eclipse.jface.wizard with parameters of type Point
Modifier and Type
Method
Description
`void`
WizardDialog.`setMinimumPageSize(Point size)`
Sets the minimum page size used for the pages.
`void`
WizardDialog.`setPageSize(Point size)`
Sets the size of all pages.

## Uses of Point in org.eclipse.swt.browser

Fields in org.eclipse.swt.browser declared as Point
Modifier and Type
Field
Description
`Point`
WindowEvent.`location`
Requested location for the `Shell` hosting the `Browser`.
`Point`
WindowEvent.`size`
Requested `Browser` size.

## Uses of Point in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom that return Point
Modifier and Type
Method
Description
`Point`
AnimatedProgress.`computeSize(int wHint, int hHint, boolean changed)`
Deprecated.
`Point`
CCombo.`computeSize(int wHint, int hHint, boolean changed)`
`Point`
CLabel.`computeSize(int wHint, int hHint, boolean changed)`
`protected Point`
CTabFolderRenderer.`computeSize(int part, int state, GC gc, int wHint, int hHint)`
Returns the preferred size of a part.
`protected Point`
StackLayout.`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
`Point`
StyledText.`computeSize(int wHint, int hHint, boolean changed)`
`Point`
StyledText.`getLocationAtOffset(int offset)`
Returns the x, y location of the upper left corner of the character bounding box at the specified offset in the text.
`Point`
ScrolledComposite.`getOrigin()`
Return the point in the content that currently appears in the top left corner of the scrolled composite.
`Point`
CBanner.`getRightMinimumSize()`
Returns the minimum size of the control that appears on the right of the banner.
`Point`
CCombo.`getSelection()`
Returns a `Point` whose x coordinate is the start of the selection in the receiver's text field, and whose y coordinate is the end of the selection.
`Point`
StyledText.`getSelection()`
Returns the selection.
`Point`
StyledText.`getSelectionRange()`
Returns the selection.
Methods in org.eclipse.swt.custom with parameters of type Point
Modifier and Type
Method
Description
`CTabItem`
CTabFolder.`getItem(Point pt)`
Gets the item at a point in the widget.
`int`
StyledText.`getOffsetAtLocation(Point point)`
Deprecated.
Use `StyledText.getOffsetAtPoint(Point)` instead for better performance
`int`
StyledText.`getOffsetAtPoint(Point point)`
Returns the offset of the character at the given point relative to the first character in the document.
`void`
ScrolledComposite.`setMinSize(Point size)`
Specify the minimum width and height at which the ScrolledComposite will begin scrolling the content with the horizontal scroll bar.
`void`
ScrolledComposite.`setOrigin(Point origin)`
Scrolls the content so that the specified point in the content is in the top left corner.
`void`
CBanner.`setRightMinimumSize(Point size)`
Set the minimum height of the control that appears on the right side of the banner.
`void`
CCombo.`setSelection(Point selection)`
Sets the selection in the receiver's text field to the range specified by the argument whose x coordinate is the start of the selection and whose y coordinate is the end of the selection.
`void`
StyledText.`setSelection(Point point)`
Sets the selection and scrolls it into view.

## Uses of Point in org.eclipse.swt.graphics

Methods in org.eclipse.swt.graphics that return Point
Modifier and Type
Method
Description
`Point`
Device.`getDPI()`
Returns a point whose x coordinate is the logical horizontal dots per inch of the display, and whose y coordinate is the logical vertical dots per inch of the display.
`Point`
TextLayout.`getLocation(int offset, boolean trailing)`
Returns the location for the specified character offset.
`Point`
GC.`stringExtent(String string)`
Returns the extent of the given string.
`Point`
GC.`textExtent(String string)`
Returns the extent of the given string.
`Point`
GC.`textExtent(String string, int flags)`
Returns the extent of the given string.
Methods in org.eclipse.swt.graphics with parameters of type Point
Modifier and Type
Method
Description
`boolean`
Rectangle.`contains(Point pt)`
Returns `true` if the given point is inside the area specified by the receiver, and `false` otherwise.
`boolean`
Region.`contains(Point pt)`
Returns `true` if the given point is inside the area specified by the receiver, and `false` otherwise.
`int`
TextLayout.`getOffset(Point point, int[] trailing)`
Returns the character offset for the specified point.
`void`
Region.`translate(Point pt)`
Translate all of the polygons the receiver maintains to describe its area by the specified point.

## Uses of Point in org.eclipse.swt.internal

Methods in org.eclipse.swt.internal that return Point
Modifier and Type
Method
Description
`static Point`
DPIUtil.`autoScaleDown(Drawable drawable, Point point)`
Returns a new scaled down Point if enabled for Drawable class.
`static Point`
DPIUtil.`autoScaleDown(Point point)`
Returns a new scaled down Point.
`static Point`
DPIUtil.`autoScaleUp(Drawable drawable, Point point)`
Returns a new scaled up Point if enabled for Drawable class.
`static Point`
DPIUtil.`autoScaleUp(Drawable drawable, Point point, int zoom)`
`static Point`
DPIUtil.`autoScaleUp(Point point)`
Returns a new scaled up Point.
`static Point`
DPIUtil.`autoScaleUp(Point point, int zoom)`
`Point`
ImageList.`getImageSize()`
`static Point`
DPIUtil.`scaleDown(Drawable drawable, Point point, int zoom)`
`static Point`
DPIUtil.`scaleDown(Point point, int zoom)`
Methods in org.eclipse.swt.internal with parameters of type Point
Modifier and Type
Method
Description
`static Point`
DPIUtil.`autoScaleDown(Drawable drawable, Point point)`
Returns a new scaled down Point if enabled for Drawable class.
`static Point`
DPIUtil.`autoScaleDown(Point point)`
Returns a new scaled down Point.
`static Point`
DPIUtil.`autoScaleUp(Drawable drawable, Point point)`
Returns a new scaled up Point if enabled for Drawable class.
`static Point`
DPIUtil.`autoScaleUp(Drawable drawable, Point point, int zoom)`
`static Point`
DPIUtil.`autoScaleUp(Point point)`
Returns a new scaled up Point.
`static Point`
DPIUtil.`autoScaleUp(Point point, int zoom)`
`static Point`
DPIUtil.`scaleDown(Drawable drawable, Point point, int zoom)`
`static Point`
DPIUtil.`scaleDown(Point point, int zoom)`

## Uses of Point in org.eclipse.swt.layout

Methods in org.eclipse.swt.layout that return Point
Modifier and Type
Method
Description
`protected Point`
BorderLayout.`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
`protected Point`
FillLayout.`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
`protected Point`
FormLayout.`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
`protected Point`
GridLayout.`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
`protected Point`
RowLayout.`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
Constructors in org.eclipse.swt.layout with parameters of type Point
Modifier
Constructor
Description
``
`RowData(Point point)`
Constructs a new instance of RowData according to the parameter.

## Uses of Point in org.eclipse.swt.printing

Methods in org.eclipse.swt.printing that return Point
Modifier and Type
Method
Description
`Point`
Printer.`getDPI()`
Returns a point whose x coordinate is the horizontal dots per inch of the printer, and whose y coordinate is the vertical dots per inch of the printer.

## Uses of Point in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Point
Modifier and Type
Method
Description
`Point`
Control.`computeSize(int wHint, int hHint)`
Returns the preferred size (in points) of the receiver.
`Point`
Control.`computeSize(int wHint, int hHint, boolean changed)`
Returns the preferred size (in points) of the receiver.
`Point`
CoolItem.`computeSize(int wHint, int hHint)`
Returns the preferred size of the receiver.
`protected abstract Point`
Layout.`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
Computes and returns the size of the specified composite's client area according to this layout.
`Point`
Combo.`getCaretLocation()`
Returns a point describing the location of the caret relative to the receiver.
`Point`
Text.`getCaretLocation()`
Returns a point describing the location of the caret relative to the receiver.
`Point`
Display.`getCursorLocation()`
Returns the location of the on-screen pointer relative to the top left corner of the screen.
`Point[]`
Display.`getCursorSizes()`
Returns an array containing the recommended cursor sizes.
`Point[]`
Display.`getIconSizes()`
Returns an array containing the recommended icon sizes.
`Point[]`
CoolBar.`getItemSizes()`
Returns an array of points whose x and y coordinates describe the widths and heights (respectively) of the items in the receiver in the order in which they are currently being displayed.
`Point`
Caret.`getLocation()`
Returns a point describing the receiver's location relative to its parent (or its display if its parent is null).
`Point`
Control.`getLocation()`
Returns a point describing the receiver's location relative to its parent in points (or its display if its parent is null), unless the receiver is a shell.
`Point`
Shell.`getMaximumSize()`
Returns a point describing the maximum receiver's size.
`Point`
CoolItem.`getMinimumSize()`
Returns the minimum size that the cool item can be resized to using the cool item's gripper.
`Point`
Shell.`getMinimumSize()`
Returns a point describing the minimum receiver's size.
`Point`
CoolItem.`getPreferredSize()`
Returns a point describing the receiver's ideal size.
`Point`
Combo.`getSelection()`
Returns a `Point` whose x coordinate is the character position representing the start of the selection in the receiver's text field, and whose y coordinate is the character position representing the end of the selection.
`Point`
Text.`getSelection()`
Returns a `Point` whose x coordinate is the character position representing the start of the selected text, and whose y coordinate is the character position representing the end of the selection.
`Point`
Caret.`getSize()`
Returns a point describing the receiver's size.
`Point`
Control.`getSize()`
Returns a point describing the receiver's size in points.
`Point`
CoolItem.`getSize()`
Returns a point describing the receiver's size.
`Point`
ScrollBar.`getSize()`
Returns a point describing the receiver's size.
`Point`
Display.`map(Control from, Control to, int x, int y)`
Maps a point from one coordinate system to another.
`Point`
Display.`map(Control from, Control to, Point point)`
Maps a point from one coordinate system to another.
`Point`
Control.`toControl(int x, int y)`
Returns a point which is the result of converting the argument, which is specified in display relative coordinates, to coordinates relative to the receiver.
`Point`
Control.`toControl(Point point)`
Returns a point which is the result of converting the argument, which is specified in display relative coordinates, to coordinates relative to the receiver.
`Point`
Control.`toDisplay(int x, int y)`
Returns a point which is the result of converting the argument, which is specified in coordinates relative to the receiver, to display relative coordinates.
`Point`
Control.`toDisplay(Point point)`
Returns a point which is the result of converting the argument, which is specified in coordinates relative to the receiver, to display relative coordinates.
Methods in org.eclipse.swt.widgets with parameters of type Point
Modifier and Type
Method
Description
`TabItem`
TabFolder.`getItem(Point point)`
Returns the tab item at the given point in the receiver or null if no such item exists.
`TableItem`
Table.`getItem(Point point)`
Returns the item at the given point in the receiver or null if no such item exists.
`ToolItem`
ToolBar.`getItem(Point point)`
Returns the item at the given point in the receiver or null if no such item exists.
`TreeItem`
Tree.`getItem(Point point)`
Returns the item at the given point in the receiver or null if no such item exists.
`Point`
Display.`map(Control from, Control to, Point point)`
Maps a point from one coordinate system to another.
`void`
Display.`setCursorLocation(Point point)`
Sets the location of the on-screen pointer relative to the top left corner of the screen.
`void`
CoolBar.`setItemLayout(int[] itemOrder, int[] wrapIndices, Point[] sizes)`
Sets the receiver's item order, wrap indices, and item sizes all at once.
`void`
Caret.`setLocation(Point location)`
Sets the receiver's location to the point specified by the argument which is relative to the receiver's parent (or its display if its parent is null).
`void`
Control.`setLocation(Point location)`
Sets the receiver's location to the point specified by the arguments which are relative to the receiver's parent (or its display if its parent is null), unless the receiver is a shell.
`void`
Menu.`setLocation(Point location)`
Sets the location of the receiver, which must be a popup, to the point specified by the argument which is relative to the display.
`void`
ToolTip.`setLocation(Point location)`
Sets the location of the receiver, which must be a tooltip, to the point specified by the argument which is relative to the display.
`void`
Shell.`setMaximumSize(Point size)`
Sets the receiver's maximum size to the size specified by the argument.
`void`
CoolItem.`setMinimumSize(Point size)`
Sets the minimum size that the cool item can be resized to using the cool item's gripper, to the point specified by the argument.
`void`
Shell.`setMinimumSize(Point size)`
Sets the receiver's minimum size to the size specified by the argument.
`void`
CoolItem.`setPreferredSize(Point size)`
Sets the receiver's ideal size to the point specified by the argument.
`void`
Combo.`setSelection(Point selection)`
Sets the selection in the receiver's text field to the range specified by the argument whose x coordinate is the start of the selection and whose y coordinate is the end of the selection.
`void`
Text.`setSelection(Point selection)`
Sets the selection to the range specified by the given point, where the x coordinate represents the start index and the y coordinate represents the end index.
`void`
Caret.`setSize(Point size)`
Sets the receiver's size to the point specified by the argument.
`void`
Control.`setSize(Point size)`
Sets the receiver's size to the point specified by the argument.
`void`
CoolItem.`setSize(Point size)`
Sets the receiver's size to the point specified by the argument.
`Point`
Control.`toControl(Point point)`
Returns a point which is the result of converting the argument, which is specified in display relative coordinates, to coordinates relative to the receiver.
`Point`
Control.`toDisplay(Point point)`
Returns a point which is the result of converting the argument, which is specified in coordinates relative to the receiver, to display relative coordinates.

## Uses of Point in org.eclipse.team.ui

Methods in org.eclipse.team.ui that return Point
Modifier and Type
Method
Description
`protected Point`
SaveablePartDialog.`getInitialSize()`
Deprecated.

## Uses of Point in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions that return Point
Modifier and Type
Method
Description
`protected Point`
QuickMenuCreator.`computeMenuLocation(StyledText text)`
Hook to compute the menu location if the focus widget is a styled text widget.
`protected Point`
QuickMenuCreator.`computeMenuLocation(Control focus)`
Determine the optimal point for this menu to appear.
`protected Point`
QuickMenuCreator.`computeMenuLocation(Table table)`
Hook to compute the menu location if the focus widget is a table widget.
`protected Point`
QuickMenuCreator.`computeMenuLocation(Tree tree)`
Hook to compute the menu location if the focus widget is a tree widget.

## Uses of Point in org.eclipse.ui.application

Methods in org.eclipse.ui.application that return Point
Modifier and Type
Method
Description
`Point`
IWorkbenchWindowConfigurer.`getInitialSize()`
Returns the size to use for the window's shell when it is created.
Methods in org.eclipse.ui.application with parameters of type Point
Modifier and Type
Method
Description
`void`
IWorkbenchWindowConfigurer.`setInitialSize(Point initialSize)`
Sets the size to use for the window's shell when it is created.

## Uses of Point in org.eclipse.ui.forms.widgets

Methods in org.eclipse.ui.forms.widgets that return Point
Modifier and Type
Method
Description
`Point`
SizeCache.`computeAdjustedSize(int widthHint, int heightHint)`
Compute the control's size, and ensure that non-default hints are returned verbatim (this tries to compensate for SWT's hints, which aren't really the outer width of the control).
`Point`
SizeCache.`computeMinimumSize()`
`protected Point`
ColumnLayout.`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
`Point`
ExpandableComposite.`computeSize(int wHint, int hHint, boolean changed)`
Computes the size of the expandable composite.
`Point`
FormText.`computeSize(int wHint, int hHint, boolean changed)`
Overrides the method by fully trusting the layout manager (computed width or height may be larger than the provider width or height hints).
`Point`
Hyperlink.`computeSize(int wHint, int hHint, boolean changed)`
Overrides the parent by incorporating the margin.
`Point`
ImageHyperlink.`computeSize(int wHint, int hHint, boolean changed)`
Computes the control size by reserving space for images in addition to text.
`Point`
LayoutCache.`computeSize(int controlIndex, int widthHint, int heightHint)`
Computes the preferred size of the nth control
`Point`
ScrolledPageBook.`computeSize(int wHint, int hHint, boolean changed)`
Removes the default size of the composite, allowing the control to shrink to the trim.
`Point`
SizeCache.`computeSize(int widthHint, int heightHint)`
Computes the preferred size of the control.
`protected Point`
TableWrapLayout.`computeSize(Composite parent, int wHint, int hHint, boolean changed)`
`Point`
ToggleHyperlink.`computeSize(int wHint, int hHint, boolean changed)`
Computes the size of the control.
`protected Point`
Hyperlink.`computeTextSize(int wHint, int hHint)`
Methods in org.eclipse.ui.forms.widgets with parameters of type Point
Modifier and Type
Method
Description
`void`
SizeCache.`setSize(Point newSize)`

## Uses of Point in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal that return Point
Modifier and Type
Method
Description
`Point`
HeapStatus.`computeSize(int wHint, int hHint, boolean changed)`
`Point`
WorkbenchWindowConfigurer.`getInitialSize()`
Methods in org.eclipse.ui.internal with parameters of type Point
Modifier and Type
Method
Description
`void`
WorkbenchWindowConfigurer.`setInitialSize(Point size)`

## Uses of Point in org.eclipse.ui.menus

Methods in org.eclipse.ui.menus that return Point
Modifier and Type
Method
Description
`Point`
AbstractWorkbenchTrimWidget.`getPreferredSize()`

## Uses of Point in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return Point
Modifier and Type
Method
Description
`protected Point`
PageBook.PageBookLayout.`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`

## Uses of Point in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor with parameters of type Point
Modifier and Type
Method
Description
`protected void`
TextNavigationAction.`fireSelectionChanged(Point oldSelection)`
Fires a selection event to all selection listener of the action's text widget if the current selection differs from the given selection.